## flask 项目示例

启动
```text
uwsgi --ini uwsgi.ini
```
关闭
```text
uwsgi --stop uwsgi.pid
```

查看是否启动
```text
ps -ef|grep uwsgi
```

nginx配置
```text
# 第一行修改user为root用户
# 在include /etc/nginx/sites-enabled/*文件下配置
server {
  # 监听80端口,服务器启动的时候就可以监听这个端口接收到的请求
  listen 80; 
  # 配置 服务器名称, 一般指定ip地址即可
  server_name 192.168.10.51;

  location / {
    # 指定接收到的请求中可以包含的是数据的类型
    include uwsgi_params;
    # 指定将请求反向转发到后端的某个服务器~ uwsgi服务器的socket选项
    uwsgi_pass 127.0.0.1:8000;
  }
  # 配置static路径
  location /static {
    # 配置静态资源访问处理 如果客户端请求/static/...就自动转发/home/...static_file/..
    alias /home /worker/mysite/static_file/; # 静态文件夹所在的路径
  }

}
```